<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="item"
            type="com.vessel.app.views.retrytabstips.TestFailureTipViewUiModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginHorizontal="@dimen/spacing_large"
        android:layout_marginTop="@dimen/spacing_4xl"
        android:background="@drawable/rose_background">

        <TextView
            android:id="@+id/title"
            style="@style/Title"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/spacing_xl"
            android:layout_marginTop="@dimen/spacing_4xl"
            android:fontFamily="@font/bananagrotesk"
            android:text="@{item.title}"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="@string/lighting" />

        <TextView
            android:id="@+id/subtitle"
            style="@style/Text.Small"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/spacing_xl"
            android:layout_marginTop="@dimen/spacing_xs"
            android:fontFamily="@font/noetext_regular"
            android:text="@{item.subTitle}"
            android:textColor="@color/darkText3"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/title"
            tools:text="@string/lighting_subtitle" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/tipImage"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/spacing_xl"
            android:layout_marginTop="@dimen/spacing_large"
            android:src="@{item.image}"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/subtitle"
            app:layout_constraintVertical_bias="1.0"
            tools:src="@drawable/lighting_image" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
